Bug 197304 - Review Request: perl-WWW-Myspace
Review Request: perl-WWW-Myspace
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 197292 197293 197298 197302
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-29 20:53 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 20:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 20:53:07 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-WWW-Myspace.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-WWW-Myspace-0.49-0.fc5.src.rpm

Description:
WWW::Myspace.pm provides methods to access your myspace.com account and
functions automatically. It provides a simple interface for scripts to log in,
access lists of friends, scan user's profiles, retreive profile data, send
messages, and post comments.
Comment 1 Jason Tibbitts 2006-07-05 17:54:47 EDT
I added perl-Locale-SubCountry to my local repo to test this.

It looks like RPM bugs strike again; there are no manual dependencies in this
package (save the MODULE_COMPAT thing) but RPM somehow extracts these:

perl(WWW::Myspace)
perl(WWW::Myspace) >= 0.21

which will probably need to be filtered.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   655665da1b696e4b7d30989d623356e9  WWW-Myspace-0.49.tar.gz
* latest version is being packaged.
O BuildRequires are proper (redundant BR: perl not a blocker)
* package builds in mock (development, x86_64) with one local package.
* rpmlint is silent.
X final provides and requires are sane:
   perl(WWW::Myspace) = 0.49
   perl(WWW::Myspace::Comment) = 0.15
   perl(WWW::Myspace::Data) = 0.05
   perl(WWW::Myspace::FriendAdder) = 0.08
   perl(WWW::Myspace::FriendChanges) = 0.03
   perl(WWW::Myspace::Message) = 0.13
   perl(WWW::Myspace::MyBase) = 0.3
   perl-WWW-Myspace = 0.49-0.fc6
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::DBI)
   perl(Class::DBI::AbstractSearch)
   perl(Class::DBI::Loader)
   perl(Config::General)
   perl(Contextual::Return)
   perl(Data::Dumper)
   perl(DateTime)
   perl(File::Spec::Functions)
   perl(IO::Prompt)
   perl(List::Compare)
   perl(Locale::SubCountry)
   perl(Math::Round)
   perl(Params::Validate)
   perl(Scalar::Util)
   perl(Spiffy)
   perl(WWW::Mechanize)
X  perl(WWW::Myspace)
X  perl(WWW::Myspace) >= 0.21
   perl(WWW::Myspace::Comment)
   perl(WWW::Myspace::Data)
   perl(WWW::Myspace::FriendAdder)
   perl(WWW::Myspace::Message) >= 0.08
   perl(WWW::Myspace::MyBase)
   perl(YAML)
   perl(strict)
   perl(warnings)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present but necessarily disabled.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Chris Weyl 2006-07-05 19:16:39 EDT
It's interesting to note that while rpmlint issues warnings for errant provides,
it doesn't do the same for requires.

Filter added.

Spec URL: http://home.comcast.net/~ckweyl/perl-WWW-Myspace.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-WWW-Myspace-0.49-0.1.fc5.src.rpm
Comment 3 Jason Tibbitts 2006-07-05 19:39:25 EDT
Looks good; the requires list is now:
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::DBI)
   perl(Class::DBI::AbstractSearch)
   perl(Class::DBI::Loader)
   perl(Config::General)
   perl(Contextual::Return)
   perl(Data::Dumper)
   perl(DateTime)
   perl(File::Spec::Functions)
   perl(IO::Prompt)
   perl(List::Compare)
   perl(Locale::SubCountry)
   perl(Math::Round)
   perl(Params::Validate)
   perl(Scalar::Util)
   perl(Spiffy)
   perl(WWW::Mechanize)
   perl(WWW::Myspace) >= 0.21
   perl(WWW::Myspace::Comment)
   perl(WWW::Myspace::Data)
   perl(WWW::Myspace::FriendAdder)
   perl(WWW::Myspace::Message) >= 0.08
   perl(WWW::Myspace::MyBase)
   perl(YAML)
   perl(strict)
   perl(warnings)

APPROVED
Comment 4 Chris Weyl 2006-07-05 20:10:35 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching 
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.